View Issue Details

IDProjectCategoryView StatusLast Update
0001632Far ManagerViewerpublic2012-06-25 00:10
ReporterYegorAssigned To2useven10 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Platformx64OSWindowsOS Version7
Product Version2.0 
Target VersionFixed in Version3.0 
Summary0001632: Исправление позиции клика для кодовых страниц и Goto
DescriptionПозиции клика для кодовых страниц и Goto на статус линии были немного смещены.
http://forum.farmanager.com/viewtopic.php?f=5&t=5172&start=45#p73497

diffы во вложении.
TagsNo tags attached.
Build2746

Activities

Yegor

2010-12-20 23:56

reporter  

fileview.cpp.diff (937 bytes)
--- F:\Local\Far2\unicode_far\.svn\text-base\fileview.cpp.svn-base	Mon Oct 25 14:36:03 2010 UTC
+++ F:\Local\Far2\unicode_far\fileview.cpp	Mon Dec 20 20:21:19 2010 UTC
@@ -468,16 +468,16 @@
 		return;
 
 	GetTitle(strName);
-	int NameLength=ScrX-43; //???41
+	int NameLength=ScrX-40;
 
 	if (Opt.ViewerEditorClock && IsFullScreen())
-		NameLength-=6;
+		NameLength-=5;
 
 	if (NameLength<20)
 		NameLength=20;
 
 	TruncPathStr(strName, NameLength);
-	const wchar_t *lpwszStatusFormat = L"%-*s %5u %13I64u %7.7s %-4I64d %s%3d%%";
+	const wchar_t *lpwszStatusFormat = L"%-*s %5u %13I64u %7.7s %-4I64d  %3d%%";
 	strStatus.Format(
 	    lpwszStatusFormat,
 	    NameLength,
@@ -486,7 +486,6 @@
 	    View.FileSize,
 	    MSG(MViewerStatusCol),
 	    View.LeftPos,
-	    Opt.ViewerEditorClock ? L"":L" ",
 	    (View.LastPage ? 100:ToPercent64(View.FilePos,View.FileSize))
 	);
 	SetColor(COL_VIEWERSTATUS);
fileview.cpp.diff (937 bytes)

Yegor

2010-12-20 23:56

reporter  

viewer.cpp.diff (978 bytes)
--- F:\Local\Far2\unicode_far\.svn\text-base\viewer.cpp.svn-base	Mon Dec 6 18:34:10 2010 UTC
+++ F:\Local\Far2\unicode_far\viewer.cpp	Mon Dec 20 20:48:17 2010 UTC
@@ -1878,13 +1878,13 @@
 		NameLength=ObjWidth-40;
 
 		if (Opt.ViewerEditorClock && HostFileViewer && HostFileViewer->IsFullScreen())
-			NameLength-=6;
+			NameLength-=5;
 
 		if (NameLength<20)
 			NameLength=20;
 
-		XCodePage=NameLength+1;
+		XCodePage=NameLength;
-		XPos=NameLength+1+10+1+10+1;
+		XPos=NameLength+1+5+1+13;
 
 		while (IsMouseButtonPressed());
 
@@ -1892,13 +1892,13 @@
 			return TRUE;
 
 		//_D(SysLog(L"MsX=%i, XTable=%i, XPos=%i",MsX,XTable,XPos));
-		if (MouseX>=XCodePage && MouseX<=XCodePage+10)
+		if (MouseX>=XCodePage && MouseX<=XCodePage+4)
 		{
 			ProcessKey(KEY_SHIFTF8);
 			return (TRUE);
 		}
 
-		if (MouseX>=XPos && MouseX<=XPos+7+1+4+1+3)
+		if (MouseX>=XPos && MouseX<=XPos+7+1+3)
 		{
 			ProcessKey(KEY_ALTF8);
 			return (TRUE);
viewer.cpp.diff (978 bytes)

Yegor

2010-12-21 10:47

reporter   bugnote:0006023

viewer.cpp.v2.diff
Чуть-чуть сдвинул вправо область для вызова Goto, чтобы захватывало "проценты".

Yegor

2010-12-21 10:47

reporter  

viewer.cpp.v2.diff (982 bytes)
--- F:\Local\Far2\unicode_far\.svn\text-base\viewer.cpp.svn-base	Mon Dec 6 18:34:10 2010 UTC
+++ F:\Local\Far2\unicode_far\viewer.cpp	Mon Dec 20 20:48:17 2010 UTC
@@ -1878,13 +1878,13 @@
 		NameLength=ObjWidth-40;
 
 		if (Opt.ViewerEditorClock && HostFileViewer && HostFileViewer->IsFullScreen())
-			NameLength-=6;
+			NameLength-=5;
 
 		if (NameLength<20)
 			NameLength=20;
 
-		XCodePage=NameLength+1;
+		XCodePage=NameLength;
-		XPos=NameLength+1+10+1+10+1;
+		XPos=NameLength+1+5+1+13+1+7;
 
 		while (IsMouseButtonPressed());
 
@@ -1892,13 +1892,13 @@
 			return TRUE;
 
 		//_D(SysLog(L"MsX=%i, XTable=%i, XPos=%i",MsX,XTable,XPos));
-		if (MouseX>=XCodePage && MouseX<=XCodePage+10)
+		if (MouseX>=XCodePage && MouseX<=XCodePage+4)
 		{
 			ProcessKey(KEY_SHIFTF8);
 			return (TRUE);
 		}
 
-		if (MouseX>=XPos && MouseX<=XPos+7+1+4+1+3)
+		if (MouseX>=XPos && MouseX<=XPos+4+1+4)
 		{
 			ProcessKey(KEY_ALTF8);
 			return (TRUE);
viewer.cpp.v2.diff (982 bytes)

2useven10

2012-06-22 13:18

developer   bugnote:0009350

вроде всё на месте...
патч уже применён или 'само починилось' ?

Yegor

2012-06-22 18:52

reporter   bugnote:0009356

Патчи были для 2-й версии и очень старые, поэтому я хотел закрыть реквест.
А проблема осталась:
1) Открыть во вьювере любой текстовый файл в кодировке UTF-8 (на самом деле не имеет значения)
2) Кликнуть мышкой в хедере на кодовой странице 65001:
если кликать на 6500 ([6500]1) - не сработает
если кликать на 1 (6500[1]) или правее - срабатывает

Иными словами область для клика сдвинута правее кодовой страницы.

2useven10

2012-06-23 21:34

developer   bugnote:0009362

Last edited: 2012-06-25 00:10

View 3 revisions

build 2746
Добавлен клик на ViewMode (ShiftF4)
Убраны лишние пробелы в статусной строке после %
Если я чего-то не знаю, и они кому-то нужны - отзовитесь...

Yegor

2012-06-24 15:36

reporter   bugnote:0009372

Verified fixed.

Issue History

Date Modified Username Field Change
2010-12-20 23:56 Yegor New Issue
2010-12-20 23:56 Yegor File Added: fileview.cpp.diff
2010-12-20 23:56 Yegor File Added: viewer.cpp.diff
2010-12-21 10:47 Yegor Note Added: 0006023
2010-12-21 10:47 Yegor File Added: viewer.cpp.v2.diff
2012-06-22 13:18 2useven10 Note Added: 0009350
2012-06-22 18:52 Yegor Note Added: 0009356
2012-06-23 21:34 2useven10 Note Added: 0009362
2012-06-23 21:34 2useven10 Assigned To => 2useven10
2012-06-23 21:34 2useven10 Status new => feedback
2012-06-23 21:34 2useven10 Note Edited: 0009362 View Revisions
2012-06-24 15:36 Yegor Note Added: 0009372
2012-06-24 15:36 Yegor Status feedback => assigned
2012-06-24 15:36 Yegor Status assigned => resolved
2012-06-25 00:10 2useven10 Note Edited: 0009362 View Revisions
2012-06-25 00:10 2useven10 Build => 2746
2012-06-25 00:10 2useven10 Status resolved => closed
2012-06-25 00:10 2useven10 Resolution open => fixed
2012-06-25 00:10 2useven10 Fixed in Version => 3.0